MONGOC_CLIENT_ENCRYPTION_ENCRYPT_RANGE_OPTS_SET_PRECISION(3)

NAME
mongoc_client_encryption_encrypt_range_opts_set_precision - mongoc_client_encryption_encrypt_range_opts_set_precision()

SYNOPSIS

void
mongoc_client_encryption_encrypt_range_opts_set_precision (
     mongoc_client_encryption_encrypt_range_opts_t *range_opts, int32_t precision);

IMPORTANT: The Range algorithm is experimental only and not intended for public use. It is subject to breaking changes. This API is part of the experimental Queryable Encryption API and may be subject to breaking changes in future releases.

New in version 1.24.0.

Sets precision for explicit encryption. Only applies when the algorithm set by mongoc_client_encryption_encrypt_opts_set_algorithm() is "RangePreview". It is an error to set precision when algorithm is not "RangePreview".

Precision can only be set with double or decimal128 fields. It is an error to set precision if the type of the encryptedFields in the destination collection is not double or decimal128.

For double and decimal128 fields, min/max/precision must all be set, or all be unset.

Precision must match the value set in the encryptedFields of the destination collection. It is an error to set a different value.

PARAMETERS

•   range_opts: A mongoc_client_encryption_encrypt_range_opts_t

•   precision: A non-negative precision.

    SEE ALSO:
    mongoc_client_encryption_encrypt_range_opts_set_min()
    mongoc_client_encryption_encrypt_range_opts_set_max()
    mongoc_client_encryption_encrypt_range_opts_t

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc